Kubernetes

Get Kubernetes cluster details

get/kubernetes/{cluster_uuid}

View detailed information about a Kubernetes cluster including node pools, workers, and network configuration.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

cluster_uuid*string

Responses

Successful Response

application/json

uuid*string
name*string
label?string | null
status*string
version*string
ha_control_plane*boolean
allocate_ipv4?boolean
Defaulttrue
allocate_ipv6?boolean
Defaulttrue
api_endpoint?string | null
pod_cidr*string
service_cidr*string
location*LocationSummaryOut
Properties (3)
id*integer
location_name*string
description?string | null
network?K8sNetworkOut | null
Properties (4)
id*integer
name*string
ip_range*string
prefix*integer
node_pools*array<NodePoolOut>
Properties (12)
uuid*string
name*string
plan*PlanSummaryOut
Properties (6)
id*integer
name*string
ram*integer
cpu*integer
storage*integer
price_per_hour*number
desired_nodes*integer
min_nodes*integer
max_nodes*integer
labels?record<string, any> | null
taints?array<any> | null
auto_scale*boolean
auto_repair*boolean
nodes*array<WorkerNodeOut>
Properties (8)
vps_id*integer
vps_name*string
vps_status*string
k8s_status*string
floating_ip?string | null
private_ip?string | null
node_name?string | null
health?K8sNodeHealthOut | null

What the Kubernetes API last reported about a worker node.

Properties (8)
ready*boolean
conditions*K8sNodeConditionsOut
Properties (3)
memory_pressure*boolean
disk_pressure*boolean
pid_pressure*boolean
unschedulable*boolean
kubelet_version*string
allocatable*K8sNodeAllocatableOut
Properties (3)
cpu_m*integer
mem_bytes*integer
pods*integer
usage?K8sNodeUsageOut | null
Properties (2)
cpu_m*integer
mem_bytes*integer
ready_since?integer | null
last_seen_at*integer
created_at*string
Formatdate-time
billing_type*string
protected?boolean
Defaultfalse
created_at*string
Formatdate-time
updated_at*string
Formatdate-time
health?K8sClusterHealthOut | null

The latest poll of the cluster's API server by the monitoring collector.

Properties (16)
polled_at*integer
up*boolean
ready*boolean
readyz_failed?array<string>
latency_ms*integer
version*string
nodes_total*integer
nodes_ready*integer
nodes_cordoned*integer
pods_pending*integer
pods_failed*integer
components*record<string, K8sComponentHealthOut>
metrics_server*boolean
client_cert_expires?integer | null
server_cert_expires?integer | null
error_kind*string
metrics_available?boolean
Defaulttrue